org.glassfish.jersey.server.monitoring

## Interface ResponseMXBean

    public interface ResponseMXBean

MXBean interface of response MXBean.

Author:
  Miroslav Fuksa

### Method Summary

All Methods Instance Methods Abstract Methods
`Integer` `getLastResponseCode()` Returns the response code of a last response written by the application.
`Map<Integer,Long>` `getResponseCodesToCountMap()` Returns statistics of response codes produces by the application.

### Method Detail

#### getResponseCodesToCountMap

    Map<Integer,Long> getResponseCodesToCountMap()

Returns statistics of response codes produces by the application. Keys of a returned map are response status codes and values is the the count of responses with these status count. Values are measured since start of the application.

Returns:
  Map with status codes keys and count as values.

#### getLastResponseCode

    Integer getLastResponseCode()

Returns the response code of a last response written by the application.

Returns:
  Last response status code.